const express = require('express')
// const file = require('fs')

// file.readFile('./data/people.csv', 'utf-8', (err, data) => {
//     if (err) {
//         console.error(err)
//         return
//     }

//     console.log(data)

//     const rows = data.split(/\r?\n/);
//     const header = rows[0].split(',').map(str => str.trim())
//     console.log(header)

// });

// var XLSX = require('xlsx')
// var workbook = XLSX.readFile('./data/Sanagro Product and Catagory list.xlsx');
// var xlData = XLSX.utils.sheet_to_json(workbook.Sheets['Sheet1']);
// var data = xlData.map((row) => ({ id: row.No, name: row['Product name'] }))

var app = express();
app.get('/', function (req, res) {
    res.sendFile('/upload.html', { root: __dirname })
});

let port = 5000
app.listen(port, () => {
    console.log(`Example app listening at http://localhost:${port}`)
})

var multer = require('multer');
var upload = multer();
var XLSX = require('xlsx')
app.use(upload.none());
app.post('/upload', async function (req, res) {
    let input = req.body.myFile;
    let wb = XLSX.read(input, { type: 'binary' });

    let xlData = XLSX.utils.sheet_to_json(wb.Sheets['Sheet2']);
    let data = xlData.map((row) => ({ productName: row['Product name'], smallTypeName: row.smallTypeName, productCategory: { productCategoryId: row['CategoryID'] }, alert: row.alert, cost: row.cost, qtyStock: row.qtystock, sellPrice: row.sellPrice }))
    res.send(data)
})


